Skip to main content
POST
Create Test Run

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Body

application/json
dataset_name
string
required
include_outputs
boolean | null
test_run_name
string | null
test_run_description
string | null
flavor_name
string | null
target_evaluation_ids
string<uuid>[] | null

Response

201 - application/json

TestRunWithTestCasesInfo(test_run_id: str, test_run_name: str, test_run_description: str, test_cases: Optional[list[server.api_routes.test_runs_api_v2.TestCaseInfo]], trace_test_cases: Optional[list[server.api_routes.test_runs_api_v2.TraceTestCaseInfo]])

test_run_id
string
required
test_run_name
string
required
test_run_description
string
required
test_cases
TestCaseInfo · object[] | null
required
trace_test_cases
TraceTestCaseInfo · object[] | null
required